document.getElementById('sortButton').addEventListener('click', function() {
  const starNames = document.getElementById('starNames').value;
  const namesArray = starNames.split('\n').map(name => name.trim()).filter(name => name.length > 0);
  const sortedNames = namesArray.sort((a, b) => a.localeCompare(b));
  document.getElementById('sortedNames').innerHTML = sortedNames.join('<br>');
});